Skip to main content

Zapier Test

GET

https://app.pipelineprotools.com/api/extern/zapier/test?api_key={api_key}

Tests a PPT-Zapier integration.

Query Parameters​

  • api_key (string) - PPT-Zapier integration API key

Request Body​

None required.

Response​

Returns a JSON object with the following fields:

  • ok (boolean) - Success status
  • msg (string) - Response message
  • date (string) - Current date
  • userEmail (string) - Associated user email

Status Codes​

  • 200 - Success
  • 401 - Invalid or not found integration
  • 422 - Missing API key

Example Request​

API_KEY="your_api_key_here"
curl -X GET "https://app.pipelineprotools.com/api/extern/zapier/test?api_key=$API_KEY"

Sample Response​

{
"ok": true,
"msg": "successfully connected to zapier",
"date": "2/20/2026",
"userEmail": "user@example.com"
}